Skip to main content
POST
Create bare metal GPU cluster

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

region_id
integer
required

Region ID

Body

application/json
flavor
string
required

Flavor name

Example:

"bm3-ai-1xlarge-h100-80-8"

image_id
string<uuid4>
required

Image ID

Example:

"f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1"

interfaces
(CreateGPUClusterExternalInterfaceSerializer · object | CreateGPUClusterSubnetInterfaceSerializer · object | CreateGPUClusterAnySubnetInterfaceSerializer · object)[]
required

A list of network interfaces for the server. You can create one or more interfaces - private, public, or both.

Minimum array length: 1
Example:
name
string
required

GPU Cluster name

Pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
Example:

"my-gpu-cluster"

instances_count
integer
default:1

Number of servers to create

Required range: x >= 1
Example:

1

password
string

A password for a bare metal server. This parameter is used to set a password for the "Admin" user on a Windows instance, a default user or a new user on a Linux instance

security_groups
MandatoryIdSchema schema · object[]

List of security group UUIDs. If omitted or an empty list, the default security group will be used.

ssh_key_name
string

Specifies the name of the SSH keypair, created via the /v1/ssh_keys endpoint.

Example:

"my-ssh-key"

tags
CreateTagsSerializer · object

Key-value tags to associate with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Both tag keys and values have a maximum length of 255 characters. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.

Example:
user_data
string

String in base64 format. Must not be passed together with 'username' or 'password'. Examples of the user_data: https://cloudinit.readthedocs.io/en/latest/topics/examples.html

username
string

A name of a new user in the Linux instance. It may be passed with a 'password' parameter

Response

created tasks for cluster creation

tasks
string[]
required

List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:

  • GET /v1/tasks/{task_id} - Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example: